- Qt 6.9
- Qt 3D
- C++ Classes
- Qt3DCore (Deprecated)
- QNodeId
- Qt 6.9.3 Reference Documentation

# Qt3DCore::QNodeId Class

class Qt3DCore::QNodeId

Uniquely identifies a QNode. More...

Header: | `#include <Qt3DCore/QNodeId>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3DCore)` `target_link_libraries(mytarget PRIVATE Qt6::3DCore)`
qmake: | `QT += 3dcore`
Status: | Deprecated

- List of all members, including inherited members

## Public Functions

int | id() const
bool | isNull() const
bool | operator bool() const
bool | operator!=(Qt3DCore::QNodeId other) const
bool | operator<(Qt3DCore::QNodeId other) const
bool | operator==(Qt3DCore::QNodeId other) const
bool | operator>(Qt3DCore::QNodeId other) const

## Related Non-Members

int | qHash(Qt3DCore::QNodeId id, int seed = 0)

## Detailed Description

## Member Function Documentation

### `[constexpr noexcept]` int QNodeId::id() const

Returns

### `[constexpr noexcept]` bool QNodeId::isNull() const

Returns

### `[constexpr noexcept]` bool QNodeId::operator bool() const

Returns

### `[constexpr noexcept]` bool QNodeId::operator!=(Qt3DCore::QNodeId other) const

Returns `true` if `this` != other.

### `[constexpr noexcept]` bool QNodeId::operator<(Qt3DCore::QNodeId other) const

Returns `true` if `this` < other.

### `[constexpr noexcept]` bool QNodeId::operator==(Qt3DCore::QNodeId other) const

Returns `true` if `this` == other.

### `[constexpr noexcept]` bool QNodeId::operator>(Qt3DCore::QNodeId other) const

Returns `true` if `this` > other.

## Related Non-Members

### `[constexpr noexcept]` int qHash(Qt3DCore::QNodeId id, int seed = 0)

Returns hash of node with id and optional seed.